"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const LambdaClient_1 = require("./LambdaClient");
const AddLayerVersionPermissionCommand_1 = require("./commands/AddLayerVersionPermissionCommand");
const AddPermissionCommand_1 = require("./commands/AddPermissionCommand");
const CreateAliasCommand_1 = require("./commands/CreateAliasCommand");
const CreateEventSourceMappingCommand_1 = require("./commands/CreateEventSourceMappingCommand");
const CreateFunctionCommand_1 = require("./commands/CreateFunctionCommand");
const DeleteAliasCommand_1 = require("./commands/DeleteAliasCommand");
const DeleteEventSourceMappingCommand_1 = require("./commands/DeleteEventSourceMappingCommand");
const DeleteFunctionCommand_1 = require("./commands/DeleteFunctionCommand");
const DeleteFunctionConcurrencyCommand_1 = require("./commands/DeleteFunctionConcurrencyCommand");
const DeleteLayerVersionCommand_1 = require("./commands/DeleteLayerVersionCommand");
const GetAccountSettingsCommand_1 = require("./commands/GetAccountSettingsCommand");
const GetAliasCommand_1 = require("./commands/GetAliasCommand");
const GetEventSourceMappingCommand_1 = require("./commands/GetEventSourceMappingCommand");
const GetFunctionCommand_1 = require("./commands/GetFunctionCommand");
const GetFunctionConfigurationCommand_1 = require("./commands/GetFunctionConfigurationCommand");
const GetLayerVersionByArnCommand_1 = require("./commands/GetLayerVersionByArnCommand");
const GetLayerVersionCommand_1 = require("./commands/GetLayerVersionCommand");
const GetLayerVersionPolicyCommand_1 = require("./commands/GetLayerVersionPolicyCommand");
const GetPolicyCommand_1 = require("./commands/GetPolicyCommand");
const InvokeAsyncCommand_1 = require("./commands/InvokeAsyncCommand");
const InvokeCommand_1 = require("./commands/InvokeCommand");
const ListAliasesCommand_1 = require("./commands/ListAliasesCommand");
const ListEventSourceMappingsCommand_1 = require("./commands/ListEventSourceMappingsCommand");
const ListFunctionsCommand_1 = require("./commands/ListFunctionsCommand");
const ListLayerVersionsCommand_1 = require("./commands/ListLayerVersionsCommand");
const ListLayersCommand_1 = require("./commands/ListLayersCommand");
const ListTagsCommand_1 = require("./commands/ListTagsCommand");
const ListVersionsByFunctionCommand_1 = require("./commands/ListVersionsByFunctionCommand");
const PublishLayerVersionCommand_1 = require("./commands/PublishLayerVersionCommand");
const PublishVersionCommand_1 = require("./commands/PublishVersionCommand");
const PutFunctionConcurrencyCommand_1 = require("./commands/PutFunctionConcurrencyCommand");
const RemoveLayerVersionPermissionCommand_1 = require("./commands/RemoveLayerVersionPermissionCommand");
const RemovePermissionCommand_1 = require("./commands/RemovePermissionCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateAliasCommand_1 = require("./commands/UpdateAliasCommand");
const UpdateEventSourceMappingCommand_1 = require("./commands/UpdateEventSourceMappingCommand");
const UpdateFunctionCodeCommand_1 = require("./commands/UpdateFunctionCodeCommand");
const UpdateFunctionConfigurationCommand_1 = require("./commands/UpdateFunctionConfigurationCommand");
class Lambda extends LambdaClient_1.LambdaClient {
    addLayerVersionPermission(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddLayerVersionPermissionCommand_1.AddLayerVersionPermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    addPermission(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddPermissionCommand_1.AddPermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createAlias(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateAliasCommand_1.CreateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createEventSourceMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateEventSourceMappingCommand_1.CreateEventSourceMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createFunction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateFunctionCommand_1.CreateFunctionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteAlias(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteAliasCommand_1.DeleteAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteEventSourceMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteEventSourceMappingCommand_1.DeleteEventSourceMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteFunction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteFunctionCommand_1.DeleteFunctionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteFunctionConcurrency(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteFunctionConcurrencyCommand_1.DeleteFunctionConcurrencyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteLayerVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteLayerVersionCommand_1.DeleteLayerVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAccountSettings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAccountSettingsCommand_1.GetAccountSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAlias(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAliasCommand_1.GetAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getEventSourceMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetEventSourceMappingCommand_1.GetEventSourceMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getFunction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetFunctionCommand_1.GetFunctionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getFunctionConfiguration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetFunctionConfigurationCommand_1.GetFunctionConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getLayerVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetLayerVersionCommand_1.GetLayerVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getLayerVersionByArn(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetLayerVersionByArnCommand_1.GetLayerVersionByArnCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getLayerVersionPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetLayerVersionPolicyCommand_1.GetLayerVersionPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetPolicyCommand_1.GetPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    invoke(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new InvokeCommand_1.InvokeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    invokeAsync(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new InvokeAsyncCommand_1.InvokeAsyncCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listAliases(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListAliasesCommand_1.ListAliasesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listEventSourceMappings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListEventSourceMappingsCommand_1.ListEventSourceMappingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listFunctions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListFunctionsCommand_1.ListFunctionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listLayerVersions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListLayerVersionsCommand_1.ListLayerVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listLayers(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListLayersCommand_1.ListLayersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listVersionsByFunction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListVersionsByFunctionCommand_1.ListVersionsByFunctionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    publishLayerVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PublishLayerVersionCommand_1.PublishLayerVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    publishVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PublishVersionCommand_1.PublishVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putFunctionConcurrency(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutFunctionConcurrencyCommand_1.PutFunctionConcurrencyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeLayerVersionPermission(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveLayerVersionPermissionCommand_1.RemoveLayerVersionPermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removePermission(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemovePermissionCommand_1.RemovePermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateAlias(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateAliasCommand_1.UpdateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateEventSourceMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateEventSourceMappingCommand_1.UpdateEventSourceMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateFunctionCode(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateFunctionCodeCommand_1.UpdateFunctionCodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateFunctionConfiguration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateFunctionConfigurationCommand_1.UpdateFunctionConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.Lambda = Lambda;
//# sourceMappingURL=Lambda.js.map