"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const AddLayerVersionPermission_1 = require("../model/operations/AddLayerVersionPermission");
class AddLayerVersionPermissionCommand {
    constructor(input) {
        this.input = input;
        this.model = AddLayerVersionPermission_1.AddLayerVersionPermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.AddLayerVersionPermissionCommand = AddLayerVersionPermissionCommand;
//# sourceMappingURL=AddLayerVersionPermissionCommand.js.map