"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateAlias_1 = require("../model/operations/CreateAlias");
class CreateAliasCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateAlias_1.CreateAlias;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateAliasCommand = CreateAliasCommand;
//# sourceMappingURL=CreateAliasCommand.js.map