"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteEventSourceMapping_1 = require("../model/operations/DeleteEventSourceMapping");
class DeleteEventSourceMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteEventSourceMapping_1.DeleteEventSourceMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteEventSourceMappingCommand = DeleteEventSourceMappingCommand;
//# sourceMappingURL=DeleteEventSourceMappingCommand.js.map