"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListAliases_1 = require("../model/operations/ListAliases");
class ListAliasesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListAliases_1.ListAliases;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListAliasesCommand = ListAliasesCommand;
//# sourceMappingURL=ListAliasesCommand.js.map