"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListLayerVersions_1 = require("../model/operations/ListLayerVersions");
class ListLayerVersionsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListLayerVersions_1.ListLayerVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListLayerVersionsCommand = ListLayerVersionsCommand;
//# sourceMappingURL=ListLayerVersionsCommand.js.map