"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListVersionsByFunction_1 = require("../model/operations/ListVersionsByFunction");
class ListVersionsByFunctionCommand {
    constructor(input) {
        this.input = input;
        this.model = ListVersionsByFunction_1.ListVersionsByFunction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListVersionsByFunctionCommand = ListVersionsByFunctionCommand;
//# sourceMappingURL=ListVersionsByFunctionCommand.js.map