"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PublishVersion_1 = require("../model/operations/PublishVersion");
class PublishVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = PublishVersion_1.PublishVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PublishVersionCommand = PublishVersionCommand;
//# sourceMappingURL=PublishVersionCommand.js.map