"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateFunctionConfiguration_1 = require("../model/operations/UpdateFunctionConfiguration");
class UpdateFunctionConfigurationCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateFunctionConfiguration_1.UpdateFunctionConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateFunctionConfigurationCommand = UpdateFunctionConfigurationCommand;
//# sourceMappingURL=UpdateFunctionConfigurationCommand.js.map