"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddPermissionInput_1 = require("../shapes/AddPermissionInput");
const AddPermissionOutput_1 = require("../shapes/AddPermissionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const PolicyLengthExceededException_1 = require("../shapes/PolicyLengthExceededException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddPermission",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/policy"
    },
    input: {
        shape: AddPermissionInput_1.AddPermissionInput
    },
    output: {
        shape: AddPermissionOutput_1.AddPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: PolicyLengthExceededException_1.PolicyLengthExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=AddPermission.js.map