"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateAliasInput_1 = require("../shapes/CreateAliasInput");
const CreateAliasOutput_1 = require("../shapes/CreateAliasOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAlias",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases"
    },
    input: {
        shape: CreateAliasInput_1.CreateAliasInput
    },
    output: {
        shape: CreateAliasOutput_1.CreateAliasOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateAlias.js.map