"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateEventSourceMappingInput_1 = require("../shapes/CreateEventSourceMappingInput");
const CreateEventSourceMappingOutput_1 = require("../shapes/CreateEventSourceMappingOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEventSourceMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEventSourceMapping",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/event-source-mappings/"
    },
    input: {
        shape: CreateEventSourceMappingInput_1.CreateEventSourceMappingInput
    },
    output: {
        shape: CreateEventSourceMappingOutput_1.CreateEventSourceMappingOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=CreateEventSourceMapping.js.map