"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetAliasInput_1 = require("../shapes/GetAliasInput");
const GetAliasOutput_1 = require("../shapes/GetAliasOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAlias",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}"
    },
    input: {
        shape: GetAliasInput_1.GetAliasInput
    },
    output: {
        shape: GetAliasOutput_1.GetAliasOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetAlias.js.map