"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetLayerVersionByArnInput_1 = require("../shapes/GetLayerVersionByArnInput");
const GetLayerVersionByArnOutput_1 = require("../shapes/GetLayerVersionByArnOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLayerVersionByArn = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLayerVersionByArn",
    http: {
        method: "GET",
        requestUri: "/2018-10-31/layers?find=LayerVersion"
    },
    input: {
        shape: GetLayerVersionByArnInput_1.GetLayerVersionByArnInput
    },
    output: {
        shape: GetLayerVersionByArnOutput_1.GetLayerVersionByArnOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=GetLayerVersionByArn.js.map