"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListLayerVersionsInput_1 = require("../shapes/ListLayerVersionsInput");
const ListLayerVersionsOutput_1 = require("../shapes/ListLayerVersionsOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListLayerVersions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListLayerVersions",
    http: {
        method: "GET",
        requestUri: "/2018-10-31/layers/{LayerName}/versions"
    },
    input: {
        shape: ListLayerVersionsInput_1.ListLayerVersionsInput
    },
    output: {
        shape: ListLayerVersionsOutput_1.ListLayerVersionsOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListLayerVersions.js.map