"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTagsInput_1 = require("../shapes/ListTagsInput");
const ListTagsOutput_1 = require("../shapes/ListTagsOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTags",
    http: {
        method: "GET",
        requestUri: "/2017-03-31/tags/{ARN}"
    },
    input: {
        shape: ListTagsInput_1.ListTagsInput
    },
    output: {
        shape: ListTagsOutput_1.ListTagsOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListTags.js.map