"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PublishLayerVersionInput_1 = require("../shapes/PublishLayerVersionInput");
const PublishLayerVersionOutput_1 = require("../shapes/PublishLayerVersionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const CodeStorageExceededException_1 = require("../shapes/CodeStorageExceededException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PublishLayerVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PublishLayerVersion",
    http: {
        method: "POST",
        requestUri: "/2018-10-31/layers/{LayerName}/versions"
    },
    input: {
        shape: PublishLayerVersionInput_1.PublishLayerVersionInput
    },
    output: {
        shape: PublishLayerVersionOutput_1.PublishLayerVersionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        }
    ]
};
//# sourceMappingURL=PublishLayerVersion.js.map