"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PublishVersionInput_1 = require("../shapes/PublishVersionInput");
const PublishVersionOutput_1 = require("../shapes/PublishVersionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const CodeStorageExceededException_1 = require("../shapes/CodeStorageExceededException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PublishVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PublishVersion",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/versions"
    },
    input: {
        shape: PublishVersionInput_1.PublishVersionInput
    },
    output: {
        shape: PublishVersionOutput_1.PublishVersionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=PublishVersion.js.map